Error installing pollination

Im trying to install Pollination but keep getting this error:

Anyone else had this experience and found a solution?

Hi @falk, Sorry for the issue. Hopefully, we can help you resolve this!

  1. I’m assuming you are using the Grasshopper installer. Is that correct?
  2. What is the version of the installer that you are trying to install? If it is not the latest version can you try the latest version (i.e. 1.3.0).
  3. Are you running it as an admin?
  4. There is a log file under the %temp% folder. It’s named at installbuilder_installer_{number}.log. Can you check the log file and see if there are any errors? It will be helpful if you can share the file with us.

Thanks!

Hi @mostapha

Thanks for reply.

Yes, it is the Grasshopper installer I am using.
It is version 1.2.9 I am trying to install, I downloaded Tuesday this week I think. I have downloaded version 1.3.0 gonna see how the works out in a few minutes.
Yes I am runing it as local admin.

The same thing happended when trying to install version 1.3.0.

I found the logfile, looks like its trying to install on a drive that does not exists, im no expert in logfiles though:

*Script stderr:*
* Traceback (most recent call last):*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 251, in _find_default_ladybug_tools_folder*
*    os.makedirs(install_folder)*
*  File "C:\Program Files\ladybug_tools\python\lib\os.py", line 213, in makedirs*
*    makedirs(head, exist_ok=exist_ok)*
*  File "C:\Program Files\ladybug_tools\python\lib\os.py", line 223, in makedirs*
*    mkdir(name, mode)*
*FileNotFoundError: [WinError 3] Den angivne sti blev ikke fundet: 'Z:\\'*

*During handling of the above exception, another exception occurred:*

*Traceback (most recent call last):*
*  File "C:\Program Files\ladybug_tools\python\lib\runpy.py", line 193, in _run_module_as_main*
*    "__main__", mod_spec)*
*  File "C:\Program Files\ladybug_tools\python\lib\runpy.py", line 85, in _run_code*
*    exec(code, run_globals)*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug_rhino\__main__.py", line 1, in <module>*
*    from ladybug_rhino.cli import main*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug_rhino\cli\__init__.py", line 20, in <module>*
*    from ladybug.config import folders as lb_folders*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 259, in <module>*
*    folders = Folders()*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 45, in __init__*
*    self.config_file = config_file*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 171, in config_file*
*    self._load_from_file(cfg)*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 203, in _load_from_file*
*    self.ladybug_tools_folder = default_path["ladybug_tools_folder"]*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 59, in ladybug_tools_folder*
*    path = self._find_default_ladybug_tools_folder()*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 254, in _find_default_ladybug_tools_folder*
*    'folder: %s\n%s' % (install_folder, e))*
*OSError: Failed to create default ladybug tools installation folder: Z:\ladybug_tools*
*[WinError 3] Den angivne sti blev ikke fundet: 'Z:\\'*

*Error running C:\Program Files/ladybug_tools/python/pythonw -m ladybug_rhino remove-gh-components: Traceback (most recent call last):*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 251, in _find_default_ladybug_tools_folder*
*    os.makedirs(install_folder)*
*  File "C:\Program Files\ladybug_tools\python\lib\os.py", line 213, in makedirs*
*    makedirs(head, exist_ok=exist_ok)*
*  File "C:\Program Files\ladybug_tools\python\lib\os.py", line 223, in makedirs*
*    mkdir(name, mode)*
*FileNotFoundError: [WinError 3] Den angivne sti blev ikke fundet: 'Z:\\'*

*During handling of the above exception, another exception occurred:*

*Traceback (most recent call last):*
*  File "C:\Program Files\ladybug_tools\python\lib\runpy.py", line 193, in _run_module_as_main*
*    "__main__", mod_spec)*
*  File "C:\Program Files\ladybug_tools\python\lib\runpy.py", line 85, in _run_code*
*    exec(code, run_globals)*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug_rhino\__main__.py", line 1, in <module>*
*    from ladybug_rhino.cli import main*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug_rhino\cli\__init__.py", line 20, in <module>*
*    from ladybug.config import folders as lb_folders*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 259, in <module>*
*    folders = Folders()*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 45, in __init__*
*    self.config_file = config_file*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 171, in config_file*
*    self._load_from_file(cfg)*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 203, in _load_from_file*
*    self.ladybug_tools_folder = default_path["ladybug_tools_folder"]*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 59, in ladybug_tools_folder*
*    path = self._find_default_ladybug_tools_folder()*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 254, in _find_default_ladybug_tools_folder*
*    'folder: %s\n%s' % (install_folder, e))*
*OSError: Failed to create default ladybug tools installation folder: Z:\ladybug_tools*
*[WinError 3] Den angivne sti blev ikke fundet: 'Z:\\'*
*There has been an error.*
*Error running C:\Program Files/ladybug_tools/python/pythonw -m ladybug_rhino remove-gh-components: Traceback (most recent call last):*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 251, in _find_default_ladybug_tools_folder*
*    os.makedirs(install_folder)*
*  File "C:\Program Files\ladybug_tools\python\lib\os.py", line 213, in makedirs*
*    makedirs(head, exist_ok=exist_ok)*
*  File "C:\Program Files\ladybug_tools\python\lib\os.py", line 223, in makedirs*
*    mkdir(name, mode)*
*FileNotFoundError: [WinError 3] Den angivne sti blev ikke fundet: 'Z:\\'*

*During handling of the above exception, another exception occurred:*

*Traceback (most recent call last):*
*  File "C:\Program Files\ladybug_tools\python\lib\runpy.py", line 193, in _run_module_as_main*
*    "__main__", mod_spec)*
*  File "C:\Program Files\ladybug_tools\python\lib\runpy.py", line 85, in _run_code*
*    exec(code, run_globals)*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug_rhino\__main__.py", line 1, in <module>*
*    from ladybug_rhino.cli import main*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug_rhino\cli\__init__.py", line 20, in <module>*
*    from ladybug.config import folders as lb_folders*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 259, in <module>*
*    folders = Folders()*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 45, in __init__*
*    self.config_file = config_file*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 171, in config_file*
*    self._load_from_file(cfg)*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 203, in _load_from_file*
*    self.ladybug_tools_folder = default_path["ladybug_tools_folder"]*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 59, in ladybug_tools_folder*
*    path = self._find_default_ladybug_tools_folder()*
*  File "C:\Program Files\ladybug_tools\python\lib\site-packages\ladybug\config.py", line 254, in _find_default_ladybug_tools_folder*
*    'folder: %s\n%s' % (install_folder, e))*
*OSError: Failed to create default ladybug tools installation folder: Z:\ladybug_tools*
*[WinError 3] Den angivne sti blev ikke fundet: 'Z:\\'*
*Exiting with code 1*

I cant attach the file, it says “New users cant attach files”

Hi @falk ,

Thanks for letting us know about this. I can say that the root cause of the issue is likely that the HOME environment variable on your computer is set to a location that no longer exists on the machine. I have to imagine this is the result of some change in the way that your IT department (or maybe the latest Windows OS) is handling different users on the same machine.

In any event, the latest installer that you can download from Pollination has the fix that I implemented to work around this case:

So just run that new single-click installer and you should be all set.
Let us know how it goes.

1 Like

Hi @chriswmackey

The new installer worked like a charm, thnak you very much :slight_smile:

2 Likes